var id_bg, ctx_bg; 
var id_hour, ctx_hour; 
var id_minute, ctx_minute; 
var id_second, ctx_second; 

function init() {
    id_bg = document.getElementById("bg");
    ctx_bg = id_bg.getContext("2d");
    id_hour = document.getElementById("hour");
    ctx_hour = id_hour.getContext("2d");
    id_minute = document.getElementById("minute");
    ctx_minute = id_minute.getContext("2d");
    id_second = document.getElementById("second");
    ctx_second = id_second.getContext("2d");
    
    //　短針
    ctx_hour.beginPath();
    ctx_hour.lineWidth = 5;
    ctx_hour.strokeStyle = "white";
    ctx_hour.fillStyle = "rgba(0,0,0,0.4)";
    ctx_hour.moveTo(320,150);
    ctx_hour.lineTo(320+60, 150+120);
    ctx_hour.lineTo(320-60, 150+120);
    ctx_hour.closePath();
    ctx_hour.stroke();
    ctx_hour.fill();
		ctx_hour.font = "bold 72px sans-serif";
		ctx_hour.textAlign = "center";
		ctx_hour.strokeText("時", 320, 320);
		ctx_hour.fillText("時", 320, 320);
    //　長針
    ctx_minute.beginPath();
    ctx_minute.lineWidth = 3;
    ctx_minute.strokeStyle = "white";
    ctx_minute.fillStyle = "rgba(0,0,0,0.4)";
    ctx_minute.moveTo(320,100);
    ctx_minute.lineTo(320+30, 100+60);
    ctx_minute.lineTo(320-30, 100+60);
    ctx_minute.closePath();
    ctx_minute.stroke();
    ctx_minute.fill();
		ctx_minute.font = "bold 42px sans-serif";
	  ctx_minute.textAlign = "center";
    ctx_minute.strokeText("分", 320, 190);
		ctx_minute.fillText("分", 320, 190);
    //　秒針
    ctx_second.beginPath();
    ctx_second.lineWidth = 3;
    ctx_second.strokeStyle = "white";
    ctx_second.fillStyle = "red";
    ctx_second.moveTo(320,40);
    ctx_second.lineTo(320+15, 40+30);
    ctx_second.lineTo(320-15, 40+30);
    ctx_second.closePath();
    ctx_second.fill();
		ctx_second.font = "bold 24px sans-serif";
	  ctx_second.textAlign = "center";
		ctx_second.strokeStyle = "red";
		ctx_second.fillStyle = "white";
		ctx_second.strokeText("秒", 320, 90);
		ctx_second.fillText("秒", 320, 90);
    
    // 文字盤
    ctx_bg.beginPath();
    var grad  = ctx_bg.createRadialGradient(320,320,0,320,320,300);
    grad.addColorStop(0,"rgba(255,255,255,0)");
    grad.addColorStop(0.2,"rgba(255,255,255,0)");
		grad.addColorStop(1,"rgba(0,0,0,0.5)");
    ctx_bg.fillStyle = grad;
    ctx_bg.arc(320, 320, 300, 0, 2 * Math.PI, false);
    ctx_bg.fill();
    
    //　目盛り＆数字
    for(i=1; i<=60; i++){
			ctx_bg.beginPath();
			ctx_bg.strokeStyle = "white";
			if(i%5 == 0){
	    	ctx_bg.lineWidth = 10;
	    	ctx_bg.moveTo(320+ 250*Math.cos(i*Math.PI/30), 320+ 250*Math.sin(i*Math.PI/30));
	    	ctx_bg.fillStyle = "white";
	    	ctx_bg.font = "bold 48px sans-serif";
	    	ctx_bg.textAlign = "center";
				ctx_bg.fillText(i/5, 320+ 220*Math.sin(i*Math.PI/30), 338- 220*Math.cos(i*Math.PI/30));
			}else{
				ctx_bg.lineWidth = 3;
				ctx_bg.moveTo(320+ 270*Math.cos(i*Math.PI/30), 320+ 270*Math.sin(i*Math.PI/30));
			}
			ctx_bg.lineTo(320+ 300*Math.cos(i*Math.PI/30), 320+ 300*Math.sin(i*Math.PI/30));
			ctx_bg.stroke();
    }

    setTime();
}

function setTime() {
    get_date = new Date();
    cr_hours = get_date.getHours();
    cr_minutes = get_date.getMinutes();
    cr_seconds = get_date.getSeconds();

    h_angle = cr_hours*30 + cr_minutes/60*30;
    id_hour.style.webkitTransform = "rotate(" + h_angle + "deg)";
    m_angle = cr_minutes*6 + cr_seconds/60*6;
    id_minute.style.webkitTransform = "rotate(" + m_angle + "deg)";
    s_angle = cr_seconds*6;
    id_second.style.webkitTransform = "rotate(" + s_angle + "deg)";

    setTimeout("setTime()",1000);
}